Skip to content

Browse the LoanApp operations available through the SymXchange AccountService.

Operations

createLoanApp

POST

Creates a new loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
Path Parameters
symstringrequired
Sym number
LoanAppIdstringoptionalThe unique identifier for the loan application.
POST/nexum/{sym}/persistent/account/createLoanApp
POST /nexum/627/persistent/account/createLoanApp HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppFields": {
    "Id": "string",
    "Type": 0,
    "LoanType": 0,
    "LoanDescription": "string",
    "ApplicationDate": "2026-01-01",
    "LoanAmount": 0,
    "Payment": 0,
    "TermMonths": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createLoanAppEscrow

POST

Creates an escrow for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppEscrowLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createLoanAppEscrow
POST /nexum/627/persistent/account/createLoanAppEscrow HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppEscrowFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createLoanAppEscrowAnalysis

POST

Performs an analysis of escrow for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppEscrowAnalysisLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createLoanAppEscrowAnalysis
POST /nexum/627/persistent/account/createLoanAppEscrowAnalysis HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppEscrowAnalysisFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createLoanAppFinance

POST

Creates finance information for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppFinanceLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createLoanAppFinance
POST /nexum/627/persistent/account/createLoanAppFinance HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppFinanceFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createLoanAppLnSegment

POST

Creates a loan segment for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppLnSegmentIdstringoptional
POST/nexum/{sym}/persistent/account/createLoanAppLnSegment
POST /nexum/627/persistent/account/createLoanAppLnSegment HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppLnSegmentFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createLoanAppNote

POST

Creates a note for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppNoteLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createLoanAppNote
POST /nexum/627/persistent/account/createLoanAppNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppNoteFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createLoanAppPerson

POST

Adds a person to a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppPersonLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createLoanAppPerson
POST /nexum/627/persistent/account/createLoanAppPerson HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppPersonFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createLoanAppSchedule

POST

Creates a schedule for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppScheduleIdstringoptional
POST/nexum/{sym}/persistent/account/createLoanAppSchedule
POST /nexum/627/persistent/account/createLoanAppSchedule HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppScheduleFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createLoanAppPledge

POST

Creates a pledge for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppPledgeLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createLoanAppPledge
POST /nexum/627/persistent/account/createLoanAppPledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppPledgeFields": {
    "AccountNumber": "string",
    "Amount": 0,
    "CollateralCode": 0,
    "CollateralDescription": "string",
    "CollateralNumber": "string",
    "EffectiveDate": "string",
    "ExpirationDate": "string",
    "Id": "string",
    "Locator": 0,
    "Percent": 0,
    "Priority": 0,
    "RecordChangeDate": "string",
    "Type": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

createLoanAppTracking

POST

Creates tracking information for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
LoanAppTrackingLocatorintegeroptionalNo description provided.
POST/nexum/{sym}/persistent/account/createLoanAppTracking
POST /nexum/627/persistent/account/createLoanAppTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppTrackingFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "TrackingDescription": "string",
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

deleteLoanApp

POST

Deletes a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanApp
POST /nexum/627/persistent/account/deleteLoanApp HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteLoanAppEscrow

POST

Deletes an escrow for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppEscrowLocatorintegerrequiredThe loan application escrow locator.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanAppEscrow
POST /nexum/627/persistent/account/deleteLoanAppEscrow HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppEscrowLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteLoanAppEscrowAnalysis

POST

Deletes an analysis of escrow for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppEscrowAnalysisLocatorintegerrequiredThe loan application escrow analysis locator.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanAppEscrowAnalysis
POST /nexum/627/persistent/account/deleteLoanAppEscrowAnalysis HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppEscrowAnalysisLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteLoanAppFinance

POST

Deletes finance information for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppFinanceLocatorintegerrequiredThe loan application finance locator.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanAppFinance
POST /nexum/627/persistent/account/deleteLoanAppFinance HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppFinanceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteLoanAppNote

POST

Deletes a note for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppNoteLocatorintegerrequiredThe loan application note locator.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanAppNote
POST /nexum/627/persistent/account/deleteLoanAppNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppNoteLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteLoanAppPerson

POST

Removes a person from a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppPersonLocatorintegerrequiredThe loan application person locator.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanAppPerson
POST /nexum/627/persistent/account/deleteLoanAppPerson HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppPersonLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteLoanAppSchedule

POST

Deletes a schedule for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppScheduleIdstringrequiredThe loan application schedule ID.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanAppSchedule
POST /nexum/627/persistent/account/deleteLoanAppSchedule HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppScheduleId": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteLoanAppPledge

POST

Deletes a pledge for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppPledgeLocatorintegerrequiredThe loan application pledge locator.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanAppPledge
POST /nexum/627/persistent/account/deleteLoanAppPledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppPledgeLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

deleteLoanAppTracking

POST

Deletes tracking information for a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppTrackingLocatorintegerrequiredThe loan application tracking locator.
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deleteLoanAppTracking
POST /nexum/627/persistent/account/deleteLoanAppTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppSelectFields

POST

Retrieve selected fields of a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppSelectFields
POST /nexum/627/persistent/account/getLoanAppSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "SelectableFields": {
    "IncludeAllLoanAppFields": false,
    "LoanAppFields": {
      "Id": true,
      "Type": true,
      "ApplicationDate": true,
      "ApprovalDate": true,
      "LoanAmount": true,
      "LoanType": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppSelectFieldsFilterChildren

POST

Retrieve selected fields of a loan application with filtering children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppSelectFieldsFilterChildren
POST /nexum/627/persistent/account/getLoanAppSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "SelectableFields": {
    "IncludeAllLoanAppFields": true,
    "LoanAppFields": {
      "AccountType": true,
      "AmortizationSchd": true,
      "AmortizationSchdType": true,
      "ApplicationDate": true,
      "ApplyAsBilled": true,
      "AppraisalOffset": true,
      "AppraisedAmount": true,
      "ApprovalAmount": true,
      "ApprovalCode": true,
      "ApprovalDate": true,
      "Apr": true,
      "AssessorParcelNumber": true,
      "BalloonAmount": true,
      "BalloonDate": true,
      "BillingDefaultDays": true,
      "BillingMethod": true,
      "BillingNotice": true,
      "BillingNoticeMin": true,
      "BorrowDate": true,
      "Branch": true
    },
    "LoanAppEscrowSelectableFields": {
      "IncludeAllLoanAppEscrowFields": true,
      "LoanAppEscrowFields": {
        "Day1": true,
        "Day2": true,
        "DistribFrequency": true,
        "EscrowType": true,
        "ExpirationDate": true,
        "FloodInsTracking": true,
        "ForcedPlacedIns": true,
        "InvoiceNumber": true,
        "LastAmtNeededPmt": true,
        "LastDateAnaCalc": true,
        "LastDisbursAmt": true,
        "LastDisbursDate": true,
        "LastDisbursFreq": true,
        "LastDisburseDay1": true,
        "LastDisburseDay2": true,
        "LastDistribAmount": true,
        "LastDistribDate": true,
        "LastExpirationDate": true,
        "LastMonthCushion": true,
        "LastNbrPmtsDue": true
      }
    },
    "LoanAppEscrowAnalysisSelectableFields": {
      "IncludeAllLoanAppEscrowAnalysisFields": true,
      "LoanAppEscrowAnalysisFields": {
        "ActionDeficiency": true,
        "ActionShortage": true,
        "ActualInitialDiscl": true,
        "AmtAddedRounding": true,
        "AmtCoverDeficiency": true,
        "AmtCoverShortage": true,
        "AnalysisGroup": true,
        "AnalysisThruDate": true,
        "ChangeEscrowPmt": true,
        "ClosingRequest": true,
        "CurrentBalance": true,
        "CurrentDueDay1": true,
        "CurrentDueDay2": true,
        "CurrentPayment": true,
        "CurrentPaymentFreq": true,
        "Cushion": true,
        "DateAnalysisCalc": true,
        "DateInitDisclNeed": true,
        "Deficiency": true,
        "ExpectedBegStmtBal": true
      }
    },
    "LoanAppFinanceSelectableFields": {
      "IncludeAllLoanAppFinanceFields": true,
      "LoanAppFinanceFields": {
        "Address": true,
        "AssetStatus": true,
        "AssetValue": true,
        "CreditLimit": true,
        "DebtRatioUseCode": true,
        "Description": true,
        "InterestRate": true,
        "ItemType": true,
        "LiabilityBalance": true,
        "LiabilityStatus": true,
        "Locator": true,
        "MonthlyExpense": true,
        "MonthlyIncome": true,
        "OwnerCode": true,
        "RecordChangeDate": true,
        "Reference": true,
        "Type": true,
        "UserPledgeCode": true
      }
    },
    "LoanAppLnSegmentSelectableFields": {
      "IncludeAllLoanAppLnSegmentFields": true,
      "LoanAppLnSegmentFields": {
        "ApplyAsBilled": true,
        "Balance": true,
        "BalloonAmount": true,
        "BalloonDate": true,
        "BeginningCycleDate": true,
        "BillingDefaultDays": true,
        "BillingMethod": true,
        "CloseDate": true,
        "Description": true,
        "DiscountRate": true,
        "ExceedLevelPmtAmt": true,
        "FirstPaymentDate": true,
        "Id": true,
        "IntUnpaidBilled": true,
        "IntYtd": true,
        "InterestLastYear": true,
        "InterestRate": true,
        "InterestRateIndex": true,
        "InterestRateMargin": true,
        "InterestRateMarginSign": true
      }
    },
    "LoanAppNoteSelectableFields": {
      "IncludeAllLoanAppNoteFields": true,
      "LoanAppNoteFields": {
        "Code": true,
        "EnterDate": true,
        "EnterTime": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "Text": [
          0
        ],
        "TextLineCount": true,
        "UserId": true,
        "VoidFlag": true,
        "VoidedBy": true
      }
    },
    "LoanAppPersonSelectableFields": {
      "IncludeAllLoanAppPersonFields": true,
      "LoanAppPersonFields": {
        "AccountNumber": true,
        "ActiveDuty": true,
        "ActiveDutySeparationDate": true,
        "ActiveDutyStartDate": true,
        "ActiveDutyVerificationDate": true,
        "AddressType": true,
        "AltEmail": true,
        "Bankruptcy": true,
        "BeneficialOwner": true,
        "BeneficialPercent": true
      }
    },
    "LoanAppPledgeSelectableFields": null,
    "LoanAppScheduleSelectableFields": null,
    "LoanAppTrackingSelectableFields": null
  },
  "ChildrenSearchFilter": null,
  "nxAttributes": null
}

getLoanAppPagedListSelectFields

POST

Retrieve a paginated list of loan applications with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppPagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppFields": false,
    "LoanAppFields": {
      "Id": true,
      "Type": true,
      "ApplicationDate": true,
      "ApprovalDate": true,
      "LoanAmount": true,
      "LoanType": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppEscrowSelectFields

POST

Retrieves selected fields for escrow information associated with a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppEscrowLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppEscrowSelectFields
POST /nexum/627/persistent/account/getLoanAppEscrowSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppEscrowLocator": 0,
  "SelectableFields": {
    "IncludeAllLoanAppEscrowFields": true,
    "LoanAppEscrowFields": {
      "Day1": true,
      "Day2": true,
      "DistribFrequency": true,
      "EscrowType": true,
      "ExpirationDate": true,
      "FloodInsTracking": true,
      "ForcedPlacedIns": true,
      "InvoiceNumber": true,
      "LastAmtNeededPmt": true,
      "LastDateAnaCalc": true,
      "LastDisbursAmt": true,
      "LastDisbursDate": true,
      "LastDisbursFreq": true,
      "LastDisburseDay1": true,
      "LastDisburseDay2": true,
      "LastDistribAmount": true,
      "LastDistribDate": true,
      "LastExpirationDate": true,
      "LastMonthCushion": true,
      "LastNbrPmtsDue": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppEscrowPagedListSelectFields

POST

Retrieves a paged list of escrow information associated with a loan application with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppEscrowPagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppEscrowPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppEscrowFields": false,
    "LoanAppEscrowFields": {
      "Locator": true,
      "EscrowType": true,
      "PaymentPortion": true,
      "PolicyAmount": true,
      "PolicyExpireDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppEscrowAnalysisSelectFields

POST

Retrieves selected fields for escrow analyses associated with a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppEscrowAnalysisLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppEscrowAnalysisSelectFields
POST /nexum/627/persistent/account/getLoanAppEscrowAnalysisSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppEscrowAnalysisLocator": 0,
  "SelectableFields": {
    "IncludeAllLoanAppEscrowAnalysisFields": true,
    "LoanAppEscrowAnalysisFields": {
      "ActionDeficiency": true,
      "ActionShortage": true,
      "ActualInitialDiscl": true,
      "AmtAddedRounding": true,
      "AmtCoverDeficiency": true,
      "AmtCoverShortage": true,
      "AnalysisGroup": true,
      "AnalysisThruDate": true,
      "ChangeEscrowPmt": true,
      "ClosingRequest": true,
      "CurrentBalance": true,
      "CurrentDueDay1": true,
      "CurrentDueDay2": true,
      "CurrentPayment": true,
      "CurrentPaymentFreq": true,
      "Cushion": true,
      "DateAnalysisCalc": true,
      "DateInitDisclNeed": true,
      "Deficiency": true,
      "ExpectedBegStmtBal": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppEscrowAnalysisPagedListSelectFields

POST

Retrieves a paged list of escrow analyses associated with a loan application with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppEscrowAnalysisPagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppEscrowAnalysisPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppEscrowAnalysisFields": false,
    "LoanAppEscrowAnalysisFields": {
      "Locator": true,
      "AnalysisThruDate": true,
      "CurrentBalance": true,
      "CurrentPayment": true,
      "NextAnalysisDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppFinanceSelectFields

POST

Retrieves selected fields for financial information associated with a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppFinanceLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppFinanceSelectFields
POST /nexum/627/persistent/account/getLoanAppFinanceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppFinanceLocator": 0,
  "SelectableFields": {
    "IncludeAllLoanAppFinanceFields": true,
    "LoanAppFinanceFields": {
      "Address": true,
      "AssetStatus": true,
      "AssetValue": true,
      "CreditLimit": true,
      "DebtRatioUseCode": true,
      "Description": true,
      "InterestRate": true,
      "ItemType": true,
      "LiabilityBalance": true,
      "LiabilityStatus": true,
      "Locator": true,
      "MonthlyExpense": true,
      "MonthlyIncome": true,
      "OwnerCode": true,
      "RecordChangeDate": true,
      "Reference": true,
      "Type": true,
      "UserPledgeCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppFinancePagedListSelectFields

POST

Retrieves a paged list of financial information associated with a loan application with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppFinancePagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppFinancePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppFinanceFields": false,
    "LoanAppFinanceFields": {
      "Locator": true,
      "ItemType": true,
      "Description": true,
      "AssetValue": true,
      "LiabilityBalance": true,
      "MonthlyIncome": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppLnSegmentSelectFields

POST

Retrieves selected fields for loan segments associated with a loan application.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppLnSegmentIdstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppLnSegmentSelectFields
POST /nexum/627/persistent/account/getLoanAppLnSegmentSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppLnSegmentId": "string",
  "SelectableFields": {
    "IncludeAllLoanAppLnSegmentFields": true,
    "LoanAppLnSegmentFields": {
      "ApplyAsBilled": true,
      "Balance": true,
      "BalloonAmount": true,
      "BalloonDate": true,
      "BeginningCycleDate": true,
      "BillingDefaultDays": true,
      "BillingMethod": true,
      "CloseDate": true,
      "Description": true,
      "DiscountRate": true,
      "ExceedLevelPmtAmt": true,
      "FirstPaymentDate": true,
      "Id": true,
      "IntUnpaidBilled": true,
      "IntYtd": true,
      "InterestLastYear": true,
      "InterestRate": true,
      "InterestRateIndex": true,
      "InterestRateMargin": true,
      "InterestRateMarginSign": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppLnSegmentPagedListSelectFields

POST

Retrieves a paged list of loan segments associated with a loan application with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppLnSegmentPagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppLnSegmentPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppLnSegmentFields": false,
    "LoanAppLnSegmentFields": {
      "Id": true,
      "Description": true,
      "Type": true,
      "Balance": true,
      "Payment": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppNoteSelectFields

POST

Retrieve selected fields of a loan application note.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppNoteLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppNoteSelectFields
POST /nexum/627/persistent/account/getLoanAppNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppNoteLocator": 0,
  "SelectableFields": {
    "IncludeAllLoanAppNoteFields": true,
    "LoanAppNoteFields": {
      "Code": true,
      "EnterDate": true,
      "EnterTime": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "Text": [
        0
      ],
      "TextLineCount": true,
      "UserId": true,
      "VoidFlag": true,
      "VoidedBy": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppNotePagedListSelectFields

POST

Retrieve a paginated list of loan application notes with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppNotePagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppNoteFields": false,
    "LoanAppNoteFields": {
      "Locator": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppPersonSelectFields

POST

Retrieve selected fields of a loan application person.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppPersonLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppPersonSelectFields
POST /nexum/627/persistent/account/getLoanAppPersonSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "LoanAppPersonLocator": 0,
  "SelectableFields": {
    "IncludeAllLoanAppPersonFields": false,
    "LoanAppPersonFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppPersonPagedListSelectFields

POST

Retrieve a paginated list of loan application persons with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppPersonPagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppPersonPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppPersonFields": false,
    "LoanAppPersonFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppScheduleSelectFields

POST

Retrieve selected fields of a loan application schedule.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppScheduleIdstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppScheduleSelectFields
POST /nexum/627/persistent/account/getLoanAppScheduleSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppScheduleId": "string",
  "SelectableFields": {
    "IncludeAllLoanAppScheduleFields": true,
    "LoanAppScheduleFields": {
      "ApplyAsBilled": true,
      "BeginningDate": true,
      "BillingDefaultDays": true,
      "BillingMethod": true,
      "BillingNotice": true,
      "BillingNoticeMin": true,
      "DqCalculationMethod": true,
      "DueDay1": true,
      "DueDay2": true,
      "ExceedLevelPmtAmt": true,
      "Expiration": true,
      "Id": true,
      "InterestType": true,
      "LevelPaymentAmt": true,
      "LevelPrincipalAmt": true,
      "MinimumPayment": true,
      "Payment": true,
      "PaymentCalcType": true,
      "PaymentDescription": true,
      "PaymentType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppSchedulePagedListSelectFields

POST

Retrieve a paginated list of loan application schedules with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppSchedulePagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppSchedulePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppScheduleFields": false,
    "LoanAppScheduleFields": {
      "Id": true,
      "BeginningDate": true,
      "Expiration": true,
      "Payment": true,
      "PaymentType": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppPledgeSelectFields

POST

Retrieve selected fields of a loan application pledge.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppPledgeLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppPledgeSelectFields
POST /nexum/627/persistent/account/getLoanAppPledgeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppPledgeLocator": 0,
  "SelectableFields": {
    "IncludeAllLoanAppPledgeFields": true,
    "LoanAppPledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppPledgePagedListSelectFields

POST

Retrieve a paginated list of loan application pledges with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppPledgePagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppPledgePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppPledgeFields": true,
    "LoanAppPledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppTrackingSelectFields

POST

Retrieve selected fields of a loan application tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppTrackingLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getLoanAppTrackingSelectFields
POST /nexum/627/persistent/account/getLoanAppTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllLoanAppTrackingFields": true,
    "LoanAppTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "TrackingDescription": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppTrackingPagedListSelectFields

POST

Retrieve a paginated list of loan application trackings with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getLoanAppTrackingPagedListSelectFields
POST /nexum/627/persistent/account/getLoanAppTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppTrackingFields": true,
    "LoanAppTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "TrackingDescription": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppPagedSelectFields

POST

Search loan applications with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppFields": false,
    "LoanAppFields": {
      "Id": true,
      "Type": true,
      "ApplicationDate": true,
      "ApprovalDate": true,
      "LoanAmount": true,
      "LoanType": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchLoanAppEscrowPagedSelectFields

POST

Search loan application escrows with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppEscrowPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppEscrowPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppEscrowFields": false,
    "LoanAppEscrowFields": {
      "Locator": true,
      "EscrowType": true,
      "PaymentPortion": true,
      "PolicyAmount": true,
      "PolicyExpireDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchLoanAppEscrowAnalysisPagedSelectFields

POST

Search loan application escrow analyses with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringoptionalThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppEscrowAnalysisPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppEscrowAnalysisPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppEscrowAnalysisFields": false,
    "LoanAppEscrowAnalysisFields": {
      "Locator": true,
      "AnalysisThruDate": true,
      "CurrentBalance": true,
      "CurrentPayment": true,
      "NextAnalysisDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchLoanAppFinancePagedSelectFields

POST

Search loan application finances with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppFinancePagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppFinancePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppFinanceFields": false,
    "LoanAppFinanceFields": {
      "Locator": true,
      "ItemType": true,
      "Description": true,
      "AssetValue": true,
      "LiabilityBalance": true,
      "MonthlyIncome": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchLoanAppLnSegmentPagedSelectFields

POST

Search loan application loan segments with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppLnSegmentPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppLnSegmentPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppLnSegmentFields": false,
    "LoanAppLnSegmentFields": {
      "Id": true,
      "Description": true,
      "Type": true,
      "Balance": true,
      "Payment": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchLoanAppNotePagedSelectFields

POST

Search loan application notes with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppNotePagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppNoteFields": false,
    "LoanAppNoteFields": {
      "Locator": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchLoanAppPersonPagedSelectFields

POST

Search loan application persons with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppPersonPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppPersonPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppPersonFields": false,
    "LoanAppPersonFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchLoanAppSchedulePagedSelectFields

POST

Search loan application schedules with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppSchedulePagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppSchedulePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "0",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppScheduleFields": false,
    "LoanAppScheduleFields": {
      "Id": true,
      "BeginningDate": true,
      "Expiration": true,
      "Payment": true,
      "PaymentType": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchLoanAppPledgePagedSelectFields

POST

Search loan application pledges with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppPledgePagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppPledgePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppPledgeFields": true,
    "LoanAppPledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppTrackingPagedSelectFields

POST

Search loan application trackings with selected fields in a paginated manner.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchLoanAppTrackingPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppTrackingFields": true,
    "LoanAppTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "TrackingDescription": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppByID

POST

Update a loan application by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppByID
POST /nexum/627/persistent/account/updateLoanAppByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": "string",
  "LoanAppFields": {
    "LoanDescription": "string",
    "UserChar1": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateLoanAppEscrowByID

POST

Update loan application escrow by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppEscrowLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppEscrowByID
POST /nexum/627/persistent/account/updateLoanAppEscrowByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppEscrowLocator": 0,
  "LoanAppEscrowFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateLoanAppEscrowAnalysisByID

POST

Update loan application escrow analysis by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppEscrowAnalysisLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppEscrowAnalysisByID
POST /nexum/627/persistent/account/updateLoanAppEscrowAnalysisByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppEscrowAnalysisLocator": 0,
  "LoanAppEscrowAnalysisFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateLoanAppFinanceByID

POST

Update loan application finance by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppFinanceLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppFinanceByID
POST /nexum/627/persistent/account/updateLoanAppFinanceByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppFinanceLocator": 0,
  "LoanAppFinanceFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateLoanAppLnSegmentByID

POST

Update loan application loan segment by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppLnSegmentIdstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppLnSegmentByID
POST /nexum/627/persistent/account/updateLoanAppLnSegmentByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppLnSegmentId": 0,
  "LoanAppLnSegmentFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateLoanAppNoteByID

POST

Update loan application note by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppNoteLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppNoteByID
POST /nexum/627/persistent/account/updateLoanAppNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppNoteLocator": 0,
  "LoanAppNoteFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateLoanAppPersonByID

POST

Update loan application person by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppPersonLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppPersonByID
POST /nexum/627/persistent/account/updateLoanAppPersonByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppPersonLocator": 0,
  "LoanAppPersonFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateLoanAppScheduleByID

POST

Update loan application schedule by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppScheduleIdstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppScheduleByID
POST /nexum/627/persistent/account/updateLoanAppScheduleByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "LoanAppId": 0,
  "LoanAppScheduleId": 0,
  "LoanAppScheduleFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateLoanAppPledgeByID

POST

Update loan application pledge by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppPledgeLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppPledgeByID
POST /nexum/627/persistent/account/updateLoanAppPledgeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppPledgeLocator": 0,
  "LoanAppPledgeFields": {
    "AccountNumber": "string",
    "Amount": 0,
    "CollateralCode": 0,
    "CollateralDescription": "string",
    "CollateralNumber": "string",
    "EffectiveDate": "string",
    "ExpirationDate": "string",
    "Id": "string",
    "Locator": 0,
    "Percent": 0,
    "Priority": 0,
    "RecordChangeDate": "string",
    "Type": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppTrackingByID

POST

Update a loan application tracking record by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredThe member account number.
LoanAppIdstringrequiredThe unique identifier for the loan application.
LoanAppTrackingLocatorintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updateLoanAppTrackingByID
POST /nexum/627/persistent/account/updateLoanAppTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanAppId": "string",
  "LoanAppTrackingLocator": 0,
  "LoanAppTrackingFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "TrackingDescription": "string",
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}